# COROSYNC

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
SEE ALSO
AUTHOR

## NAME

corosync − The Corosync Cluster Engine.

## SYNOPSIS

corosync [−f] [−P num] [−p] [−r] [-R] [−t] [−v]

## DESCRIPTION

corosync Corosync provides clustering infrastructure such as membership, messaging and quorum.

## OPTIONS

| -f |  | Start application in foreground.
| -p |  | Do not set realtime scheduling.
| -P |  | Set priority of process. Has effect only when -r is not used. Can be ether numeric value with similar meaning as nice(1) or max / min meaning maximal / minimal priority (so minimal / maximal nice value).
| -r |  | Set round robin realtime scheduling with maximal priority (default). When setting of scheduler fails, fallback to set maximal priority.
| -R |  | Do not try to move Corosync to root cpu cgroup. This feature is available only for corosync with libcgroup enabled during the build.
| -t |  | Test configuration and then exit.
| -v |  | Display version and SVN revision of Corosync and exit.

## SEE ALSO

corosync_overview(8), corosync.conf(5), cpg_overview(8), votequorum_overview(8), sam_overview(8), cmap_overview(8), quorum_overview(8)

## AUTHOR

Angus Salkeld